using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using UUN;
using System.Data.SqlClient;

public partial class Admin_NeiRong_WenZhangLaiYuan_XuanZhe : System.Web.UI.Page
{
    private 访问 访问;
    private String SQL = "SELECT [ID],[来源网站] FROM [" + 程序.数据表前缀 + "内容_文章_来源] ORDER BY [ID] DESC";
    private String 数量SQL = "SELECT COUNT(ID) FROM [" + 程序.数据表前缀 + "内容_文章_来源]";
    protected void Page_Load(object sender, EventArgs e)
    {
        访问 = new 访问(this.Context);
        访问.开始处理("选择文章来源", "网站后台", "选择文章来源", new 访问.回调委托(ZhiXing));
        访问.关闭连接();
    }

    private void ZhiXing()
    {
        访问.验证管理员();

        if (Request.QueryString["l"] == "zj")
            增加文章来源();

        if (Request.QueryString["del"] != null)
            删除文章来源();

        生成数据();
    }

    private void 增加文章来源()
    {
        访问.验证权限("10");
        String 文章来源 = Request.Form["WenZhangLaiYuan"];

        if (文章来源.Length < 1 || 文章来源.Length > 200)
            throw new Exception("文章来源的长度只能是1-200之间");

        int ZGID = 常用.SQL_最高ID(访问.连接, "文章来源");
        SqlCommand 语句 = new SqlCommand("INSERT INTO [" + 程序.数据表前缀 + "内容_文章_来源]([ID],[来源网站])VALUES(@ID,@来源网站)", 访问.连接);
        语句.Parameters.Add("@ID", SqlDbType.Int).Value = ZGID;
        语句.Parameters.Add("@来源网站", SqlDbType.NVarChar).Value = 文章来源;
        语句.ExecuteScalar();
    }

    private void 删除文章来源()
    {
        访问.验证权限("10");
        int DELID = Convert.ToInt32(Request.QueryString["del"]);

        SqlCommand 语句 = new SqlCommand("DELETE FROM [" + 程序.数据表前缀 + "内容_文章_来源] WHERE [ID]=" + DELID, 访问.连接);
        语句.ExecuteNonQuery();
    }

    private void 生成数据()
    {
        SqlCommand 语句 = new SqlCommand(数量SQL, 访问.连接);
        后台分页 分页 = new 后台分页(Convert.ToInt32(语句.ExecuteScalar()),
            Convert.ToInt32(Request.QueryString["page"]),
            10,
            "WenZhangLaiYuan_XuanZhe.aspx");

        DataSet 数据 = new DataSet();
        语句 = new SqlCommand(SQL, 访问.连接);

        SqlDataAdapter 填充 = new SqlDataAdapter(语句);
        填充.Fill(数据, (分页.当前页 - 1) * 10, 10, "文章来源");

        String 表代码 = "";
        for (int i = 0; i < 数据.Tables[0].Rows.Count; i++)
        {
            DataRow 行 = 数据.Tables[0].Rows[i];
            表代码 += "<table class=\"tab3\" cellpadding=\"0\" cellspacing=\"0\" style=\"width:100%\">";
            表代码 += "<tr>";
            表代码 += "<td style=\"width:10%\">" + 行["ID"] + "</td>";
            表代码 += "<td style=\"width:60%\">" + Server.HtmlEncode(行["来源网站"].ToString()) + "</td>";
            表代码 += "<td style=\"width:30%\"><input type=\"button\" value=\"选择\" onclick=\"opener.SheZhiLaiYuan('" +
                Server.HtmlEncode(行["来源网站"].ToString().Replace("'", "\\'")) +
                "');window.close();\" />" +
                "&nbsp;&nbsp;<input type=\"button\" value=\"删除\" onclick=\"location.href='WenZhangLaiYuan_XuanZhe.aspx?del=" + 行["ID"] + "'\" />"
                + "</td>";
            表代码 += "</tr>";
            表代码 += "</table>";
        }

        BiaoDaiMa.Text = 表代码;

        FenYeDaiMa.Text = 分页.生成代码();
    }
}
